Package jebl.evolution.align.scores

# Class Blosum50

java.lang.Object
jebl.evolution.align.scores.Scores
jebl.evolution.align.scores.AminoAcidScores
jebl.evolution.align.scores.Blosum50

All Implemented Interfaces:
  `ScoreMatrix`

public class Blosum50 extends AminoAcidScores

## Field Summary

### Fields inherited from class jebl.evolution.align.scores.Scores

`score`

## Constructor Summary

Constructors
Constructor
Description
`Blosum50()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class jebl.evolution.align.scores.AminoAcidScores

`getAlphabet`

### Methods inherited from class jebl.evolution.align.scores.Scores

`duplicate, forMatrix, getMatrixString, getScore, includeAdditionalCharacters, includeGaps, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Blosum50

public Blosum50()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `ScoreMatrix`
Overrides:
  `getName` in class `AminoAcidScores`
Returns:
  human readable name